#pulls some basic usb device info from the the WMI
function Get-USB {
    param(
        [string]$comp
    )
    process{
        try {
            Get-WmiObject Win32_USBControllerDevice -ComputerName $comp | ForEach-Object {[wmi]($_.Dependent)} | Sort-Object Manufacturer,Description,DeviceID | Format-Table -GroupBy Manufacturer Description,Service,DeviceID
        }
        catch{
            Write-warning 'Unable to grab USB info'
        }
    }
}
